{% extends 'layout.html' %} {% load static %}

{% block title %}
Daftar Vaksin
{% endblock title %}

{% block js %}
<script src="{% static 'scripts/adminSatgas/daftarvaksin.js' %}"></script>
{% endblock js %}

{% block content %}
{% include 'navbar.html' %}
<div class="container" style="width: 50rem;">
    <br><br><br>
    <h1 class="text-center m-10">Daftar Vaksin</h1><br><br>
    <table class="table table-striped table-bordered align-middle">
        <thead>
            <tr class="table-success" style="text-align:center;">
                <th>Kode</th>
                <th>Nama</th>
                <th>Produsen</th>
                <th>No. Edar</th>
                <th>Freq. Suntikan</th>
                <th>Stok</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            {% for vaksin in vaksin_list %}
            <tr style="text-align:center">
            <td>{{vaksin.kode}}</td>
            <td>{{vaksin.nama}}</td>
            <td>{{vaksin.nama_produsen}}</td>
            <td>{{vaksin.no_edar}}</td>
            <td>{{vaksin.freq_suntik}}</td>
            <td>{{vaksin.stok}}</td>
            <td>
                <a class="nav-link" href="{% url 'delete-vaksin'  id=vaksin.kode %}">
                <button type="button" class="btn btn-danger delete-button">Delete</button>
                </a>
                <a class="nav-link" href="{% url 'daftar-update-stok'  id=vaksin.kode %}">
                <button type="button" class="btn btn-primary update-button" id="stok-vaksin-btn">Update Stok</button>
                </a>    
            </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    <div class="d-grid">
        <button type="button" class="btn btn-primary add-button">Tambah Update Stok</button>
        <br>
        <button type="button" class="btn btn-primary add-vaksin-button">Tambah Vaksin</button>
        <br>
    </div>
</div>
<!-- MODAL UPDATE STOK -->>
<div class="modal fade" tabindex="-1" role="dialog" id="update-stok-modal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Update Stok Vaksin</h4>
            </div>
            <div class= "modal-body">
                <form action="{% url 'tambah-vaksin' %}" method="post">
                    {% csrf_token %}
                    <div class="add-update-detail-field">
                        <div class="mb-3">
                            <label for="kode-vaksin" class="col-form-label">Update Vaksin Kode:</label>
                            <input type="text" class="form-control id-field" id="kode-vaksin" name="kode-vaksin">
                        </div>
                        <div class="mb-3">
                            <label for="jumlah-update" class="col-form-label">Jumlah:</label>
                            <input type="text" class="form-control id-field" id="jumlah-update" name="jumlah-update">
                        </div>
                        <div class="mb-3">
                            <label for="tanggal" class="col-form-label" id="date">Tanggal:</label>
                            <p>
                                <script> document.write(new Date().toLocaleDateString()); </script>
                            </p>
                        </div>
                    </div>
                    <div class="delete-field">
                        <div class="mb-3">
                            <p class="delete-text">i</label>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" id="cancel">Cancel</button>
                        <input type="submit" class="btn btn-primary confirm-button" value="Update">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<!-- MODAL TAMBAH VAKSIN -->>
<div class="modal fade" tabindex="-1" role="dialog" id="update-vaksin-modal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">TAMBAH VAKSIN</h4>
            </div>
            <div class= "modal-body">
                <form action="{% url 'tambah-jenis-vaksin' %}" method="post">
                    {% csrf_token %}
                    <div class="modal-body">
                        <div class="mb-3">
                            <label for="create-kode-vaksin" class="col-form-label">Kode:</label>
                            <input type="text" class="form-control id-field" id="create-kode-vaksin" name="create-kode-vaksin" value="{{ kodevaksin }}">
                        </div>
                        <div class="mb-3">
                            <label for="create-nama-instansi" class="col-form-label">Nama Vaksin:</label>
                            <input type="text" class="form-control" id="create-nama-vaksin" name="create-nama-vaksin" maxlength="30">
                        </div>
                        <div class="mb-3">
                            <label for="create-nama-instansi" class="col-form-label">Produsen:</label>
                            <input type="text" class="form-control" id="create-nama-produsen" name="create-nama-produsen" maxlength="30">
                        </div>
                        <div class="mb-3">
                            <label for="create-nama-instansi" class="col-form-label">No. Edar:</label>
                            <input type="text" class="form-control" id="create-noedar" name="create-noedar" maxlength="30">
                        </div>
                        <div class="mb-3">
                            <label for="jumlah-update" class="col-form-label">Stok:</label>
                            <input type="text" class="form-control id-field" id="jumlah-stok" name="jumlah-stok">
                        </div>
                        <div class="mb-3">
                            <label for="create-nama-instansi" class="col-form-label">Frekuensi:</label>
                            <input type="text" class="form-control" id="create-frekuensi" name="create-frekuensi" maxlength="30">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary cancel-button" id="cancel">Cancel</button>
                        <input type="submit" class="btn btn-primary confirm-button" value="Tambah">
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
{% endblock content %}


